Bug 112191 - New port: dns/ldnsm Manages LDAP enteries for the BIND9 SDB LDAP patch.
New port: dns/ldnsm Manages LDAP enteries for the BIND9 SDB LDAP patch.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 20:50 UTC by v.velox
Modified: 2007-06-04 09:40 UTC (History)
0 users

See Also:


Attachments
dns-ldnsm.shar (2.00 KB, text/plain)
2007-04-27 20:50 UTC, v.velox
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description v.velox 2007-04-27 20:50:04 UTC

Manages LDAP entries for the BIND9 SDB LDAP patch.

Supports adding, removing, and modifying enteries.

The attributes it can handle are TTL, A record, C name, AAAA
record, and MX record. Outside of TTL, multiple attributes
for each type record.

WWW: http://vvelox.net/projects/ldnsm/

How-To-Repeat: 

1: Notice it is not in the ports.
2:
3: Extract it.
4: Monkeys.
5: Notice it works.
6: More monkeys.
7: Enjoy.
Comment 1 v.velox 2007-04-28 23:39:30 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dns/ldnsm/
#	dns/ldnsm/Makefile
#	dns/ldnsm/distinfo
#	dns/ldnsm/pkg-descr
#
echo c - dns/ldnsm/
mkdir -p dns/ldnsm/ > /dev/null 2>&1
echo x - dns/ldnsm/Makefile
sed 's/^X//' >dns/ldnsm/Makefile << 'END-of-dns/ldnsm/Makefile'
X# New ports collection makefile for: ldnsm
X# Date created:        18 April 2007
X# Whom:                Zane C. Bowers
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ldnsm
XPORTVERSION=	0.2.0
XCATEGORIES=	dns
XMASTER_SITES=	http://vvelox.net/src/ldap/
XDISTNAME=	${PORTNAME}-${PORTVERSION}
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	vvelox@vvelox.net
XCOMMENT=	Manages LDAP enteries for the BIND9 SDB LDAP patch
X
XUSE_PERL5=	yes
X
XPLIST_FILES=	bin/ldnsm
X
XMAN1=		ldnsm.1
X
XMAN5=		dotldnsm.5
X
XWRKSRC=		${WRKDIR}/${PORTNAME}
X
X#nothing to configure
Xdo-configure:
X	@${ECHO} -n
X
X#nothing to build
Xdo-build:
X	@${ECHO} -n
X
Xdo-install:
X	@${EXEC} cd ${WRKDIR}/${PORTNAME}/ ; ${WRKDIR}/${PORTNAME}/install ${PREFIX}
X
X.include <bsd.port.mk>
END-of-dns/ldnsm/Makefile
echo x - dns/ldnsm/distinfo
sed 's/^X//' >dns/ldnsm/distinfo << 'END-of-dns/ldnsm/distinfo'
XMD5 (ldnsm-0.2.0.tgz) = 7e58cb5a9f0acc1e5d63afdfcf30148c
XSHA256 (ldnsm-0.2.0.tgz) = a93b2d14420bf659403d3a03c593a64c23b4ba4219ed388e076dc031df98d435
XSIZE (ldnsm-0.2.0.tgz) = 4371
END-of-dns/ldnsm/distinfo
echo x - dns/ldnsm/pkg-descr
sed 's/^X//' >dns/ldnsm/pkg-descr << 'END-of-dns/ldnsm/pkg-descr'
XManages LDAP entries for the BIND9 SDB LDAP patch.
X
XSupports adding, removing, and modifying enteries.
X
XThe attributes it can handle are TTL, A record, C name, AAAA
Xrecord, and MX record. Outside of TTL, multiple attributes
Xfor each type record.
X
XWWW: http://vvelox.net/projects/ldnsm/
END-of-dns/ldnsm/pkg-descr
exit
Comment 2 v.velox 2007-04-29 19:14:27 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dns/ldnsm/
#	dns/ldnsm/Makefile
#	dns/ldnsm/distinfo
#	dns/ldnsm/pkg-descr
#
echo c - dns/ldnsm/
mkdir -p dns/ldnsm/ > /dev/null 2>&1
echo x - dns/ldnsm/Makefile
sed 's/^X//' >dns/ldnsm/Makefile << 'END-of-dns/ldnsm/Makefile'
X# New ports collection makefile for: ldnsm
X# Date created:        27 April 2007
X# Whom:                Zane C. Bowers
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ldnsm
XPORTVERSION=	0.2.0
XCATEGORIES=	dns
XMASTER_SITES=	http://vvelox.net/src/ldap/
XDISTNAME=	${PORTNAME}-${PORTVERSION}
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	vvelox@vvelox.net
XCOMMENT=	Manages LDAP enteries for the BIND9 SDB LDAP patch
X
XWANT_OPENLDAP_VER?=     23
X.if (${WANT_OPENLDAP_VER} != 21) && (${WANT_OPENLDAP_VER} != 22) && (${WANT_OPENLDAP_VER} != 23) && (${WANT_OPENLDAP_VER} != 24)
XBROKEN= Incompatible OpenLDAP version: ${WANT_OPENLDAP_VER}
X.endif
X
XRUN_DEPENDS=    ldapadd:${PORTSDIR}/net/openldap${WANT_OPENLDAP_VER}-client \
X		ldapsearch:${PORTSDIR}/net/openldap${WANT_OPENLDAP_VER}-client \
X		ldapdelete:${PORTSDIR}/net/openldap${WANT_OPENLDAP_VER}-client \
X		ldapmodify:${PORTSDIR}/net/openldap${WANT_OPENLDAP_VER}-client \
X		ldapmodrdn:${PORTSDIR}/net/openldap${WANT_OPENLDAP_VER}-client \
X		ldappasswd:${PORTSDIR}/net/openldap${WANT_OPENLDAP_VER}-client
X
XUSE_PERL5=	yes
X
XPLIST_FILES=	bin/ldnsm
X
XMAN1=		ldnsm.1
X
XMAN5=		dotldnsm.5
X
XWRKSRC=		${WRKDIR}/${PORTNAME}
X
X#nothing to configure
Xdo-configure:
X	@${ECHO} -n
X
X#nothing to build
Xdo-build:
X	@${ECHO} -n
X
Xdo-install:
X	@${EXEC} cd ${WRKDIR}/${PORTNAME}/ ; ${WRKDIR}/${PORTNAME}/install ${PREFIX}
X
X.include <bsd.port.mk>
END-of-dns/ldnsm/Makefile
echo x - dns/ldnsm/distinfo
sed 's/^X//' >dns/ldnsm/distinfo << 'END-of-dns/ldnsm/distinfo'
XMD5 (ldnsm-0.2.0.tgz) = 7e58cb5a9f0acc1e5d63afdfcf30148c
XSHA256 (ldnsm-0.2.0.tgz) = a93b2d14420bf659403d3a03c593a64c23b4ba4219ed388e076dc031df98d435
XSIZE (ldnsm-0.2.0.tgz) = 4371
END-of-dns/ldnsm/distinfo
echo x - dns/ldnsm/pkg-descr
sed 's/^X//' >dns/ldnsm/pkg-descr << 'END-of-dns/ldnsm/pkg-descr'
XManages LDAP entries for the BIND9 SDB LDAP patch.
X
XSupports adding, removing, and modifying enteries.
X
XThe attributes it can handle are TTL, A record, C name, AAAA
Xrecord, and MX record. Outside of TTL, multiple attributes
Xfor each type record.
X
XWWW: http://vvelox.net/projects/ldnsm/
END-of-dns/ldnsm/pkg-descr
exit
Comment 3 Martin Wilke freebsd_committer 2007-05-29 16:16:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Martin Wilke freebsd_committer 2007-06-04 09:31:37 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 5 dfilter freebsd_committer 2007-06-04 09:31:52 UTC
miwi        2007-06-04 08:31:46 UTC

  FreeBSD ports repository

  Modified files:
    dns                  Makefile 
  Added files:
    dns/ldnsm            Makefile distinfo pkg-descr 
  Log:
  Manages LDAP entries for the BIND9 SDB LDAP patch.
  
  Supports adding, removing, and modifying enteries.
  
  The attributes it can handle are TTL, A record, C name, AAAA
  record, and MX record. Outside of TTL, multiple attributes
  for each type record.
  
  WWW: http://vvelox.net/projects/ldnsm/
  
  PR:             ports/112191
  Submitted by:   Zane C. Bowers
  
  Revision  Changes    Path
  1.80      +1 -0      ports/dns/Makefile
  1.1       +39 -0     ports/dns/ldnsm/Makefile (new)
  1.1       +3 -0      ports/dns/ldnsm/distinfo (new)
  1.1       +9 -0      ports/dns/ldnsm/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"